Subject: Re: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Aug 2015 15:56:42 +0300

> Date: Thu, 20 Aug 2015 10:49:26 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> The doc string says: "Windows are scanned starting with the selected
> window."  What does that mean?  Scanned?  How so?  In what order are
> they scanned (besides starting with selected)?  And how is the scanning
> used?

I replaced that sentence with this one:

  If the selected window displays BUFFER-OR-NAME, it will be the first
  in the resulting list.

Do you see any issues left after that change?  (I don't.)

> Please update both the doc string and (elisp) `Buffers and Windows'
> to tell us what order the list is in.

The order is unspecified, which means the caller should not depend on
it.  I don't think there's anything wrong with that; do you?